const Router = require('express').Router
const router = Router()

const bodyParser = require('body-parser')
const multer = require('multer')
const upload = multer({ dest: 'upload_tmp/' })

const _test = require('../controller/TestMonitor')
const _wx = require('../controller/WxMonitor')
const _mfm = require('../controller/MixedFlowMonitor')
const _rtmp = require('../controller/RTMPMonitor')

router.use(bodyParser.json({ limit: '60mb' }))
router.use(bodyParser.urlencoded({ extended: true, limit: '60mb' }))
router.use(bodyParser.text({ limit: '60mb' }))
router.use((req, res, next) => {
  let origin = req.headers.origin
  res.header('Access-Control-Allow-Origin', origin) // 设置允许哪些外域访问此服务器。如果你要发送cookies，不要将其赋值为'*'
  res.header('Access-Control-Allow-Methods', 'PUT, GET, POST, DELETE, OPTIONS') // 设置允许那些方法访问此服务器。可选值：PUT, GET, POST, DELETE, OPTIONS
  res.header('Access-Control-Allow-Headers', 'Origin, X-Requested-With, Content-Type, Accept') // 设置允许那些头文件访问此服务器。可选值：Origin, X-Requested-With, Content-Type, Accept
  res.header('Access-Control-Allow-Credentials', 'true') // 设置允许发送cookies。可选值：true,如果不允许就省略此字段
  next()
})
router.post('/api/test', upload.any(), _test.isRun)
// 重新获取token 在分享
router.post('/share/getsignature', _wx.wxGetsignature)
// 微信分享
router.post('/share/token', _wx.wxShare)
// 获取用户信息
router.post('/getInfo', _wx.wxGetInfo)
// 云端混流
router.post('/set/mixed-flow', _mfm.getFlow)
// 推流回调
router.post('/get/rtmp/callback', _rtmp.callback)

router.use('/api/*', upload.any(), (req, res) => { res.send('暂无该接口') })
router.use('*', upload.any(), (req, res) => { res.send('接口未定义') })

module.exports = router
